Bug 200831 - [PATCH] sysutils/apcupsd: unbreak build for 9.3-RELEASE
Summary: [PATCH] sysutils/apcupsd: unbreak build for 9.3-RELEASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-13 00:31 UTC by Craig Leres
Modified: 2015-06-30 16:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (itetcu)


Attachments
poudriere build log showing failure to build under 9.3-RELEASE (20.44 KB, text/plain)
2015-06-13 00:31 UTC, Craig Leres
no flags Details
Patchset for sysutils/apcupsd (815 bytes, patch)
2015-06-13 00:31 UTC, Craig Leres
no flags Details | Diff
poudriere log showing successful build of patched version under 9.3-RELEASE (30.29 KB, text/plain)
2015-06-13 00:41 UTC, Craig Leres
no flags Details
Poudriere log for 9.3-RELEASE-p16 and ports r389648 (30.29 KB, text/plain)
2015-06-14 22:40 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2015-06-13 00:31:14 UTC
Created attachment 157699 [details]
poudriere build log showing failure to build under 9.3-RELEASE

The apcupsd port no longer builds under 9.3-RELEASE. Using lang/gcc solves the issue.

Also fix a portlint warning.
Comment 1 Craig Leres freebsd_committer 2015-06-13 00:31:56 UTC
Created attachment 157700 [details]
Patchset for sysutils/apcupsd
Comment 2 Craig Leres freebsd_committer 2015-06-13 00:41:32 UTC
Created attachment 157701 [details]
poudriere log showing successful build of patched version under 9.3-RELEASE
Comment 3 Walter Hop 2015-06-14 13:03:28 UTC
Same here. Strangely enough the port does build successfully on 8.4...
Comment 4 Peter 2015-06-14 18:18:50 UTC
Build on on 10.1-RELEASE-P12 (AMD64) no problems
Build on 9.3-RELEASE-P16 (AMD64) linker error:

...
  LD    src/apcupsd
/wrkdirs/usr/ports/sysutils/apcupsd/work/apcupsd-3.14.13/src/lib/libapc.a(astring.o): In function `astring::vformat(char const*, __va_list_tag*)':
astring.cpp:(.text+0x101): undefined reference to `operator new[](unsigned long)'
/wrkdirs/usr/ports/sysutils/apcupsd/work/apcupsd-3.14.13/src/lib/libapc.a(astring.o): In function `astring::assign(char const*, int)':
astring.cpp:(.text+0x1d7): undefined reference to `operator new[](unsigned long)'
/wrkdirs/usr/ports/sysutils/apcupsd/work/apcupsd-3.14.13/src/lib/libapc.a(astring.o): In function `astring::operator+(char const*)':
...
Comment 5 Craig Leres freebsd_committer 2015-06-14 22:38:13 UTC
(In reply to Peter from comment #4)

I just updated my poudriere jail and ports tree and did another testport build and do not see any errors with this patch in place.
Comment 6 Craig Leres freebsd_committer 2015-06-14 22:40:07 UTC
Created attachment 157740 [details]
Poudriere log for 9.3-RELEASE-p16 and ports r389648
Comment 7 Peter 2015-06-15 09:16:50 UTC
With Revision 382561 no build probs...

The patch (using gcc) builds without errors...
Comment 8 Dmitry Marakasov freebsd_committer 2015-06-25 21:21:59 UTC
(In reply to leres from comment #1)
> Created attachment 157700 [details]
> Patchset for sysutils/apcupsd

I've fixed the build. Does pre-configure part make sense?
Comment 9 commit-hook freebsd_committer 2015-06-30 16:36:18 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jun 30 16:36:00 UTC 2015
New revision: 390972
URL: https://svnweb.freebsd.org/changeset/ports/390972

Log:
  - Fix portlint warning

  PR:		200831
  Submitted by:	leres@ee.lbl.gov
  Approved by:	maintainer timeout (itetcu, 2 weeks)

Changes:
  head/sysutils/apcupsd/Makefile